ISORT(1)

NAME
isort - program for sorting Python import definitions

SYNOPSIS
isort [-h] [-l LINE_LENGTH] [-s SKIP] [-ns NOT_SKIP] [-t FORCE_TO_TOP] [-b KNOWN_STANDARD_LIBRARY] [-o KNOWN_THIRD_PARTY] [-p KNOWN_FIRST_PARTY] [-m MODE] [-i INDENT] [-a ADD_IMPORTS] [-af] [-r REMOVE_IMPORTS] [-ls] [-d] [-c] [-sl] [-sd DEFAULT_SECTION] [-df] [-e] [-rc] [-ot] [-ac] [-cs] [-v] [-vb] [-sp SETTINGS_PATH] file...

DESCRIPTION
isort sorts Python import definitions alphabetically within logical sections.

OPTIONS

-h, --help
    show this help message and exit

-l LINE_LENGTH, --lines LINE_LENGTH
    The maximum length of an import line (used for wrapping long imports).

-s SKIP, --skip SKIP
    Files that sort imports should skip over.

-ns NOT_SKIP, --dont-skip NOT_SKIP
    Files that sort imports should never skip over.

-t FORCE_TO_TOP, --top FORCE_TO_TOP
    Force specific imports to the top of their appropriate section.

-b KNOWN_STANDARD_LIBRARY, --builtin KNOWN_STANDARD_LIBRARY
    Force isort to recognize a module as part of the python standard library.

-o KNOWN_THIRD_PARTY, --thirdparty KNOWN_THIRD_PARTY
    Force isort to recognize a module as being part of a third party library.

-p KNOWN_FIRST_PARTY, --project KNOWN_FIRST_PARTY
    Force isort to recognize a module as being part of the current python project.

-m MODE, --multi_line MODE
    Multi line output (0=grid, 1=vertical, 2=hanging, 3=vert-hanging, 4=vert-grid, 5=vert-grid-grouped).

-i INDENT, --indent INDENT
    String to place for indents; defaults to " " (4 spaces).

-a ADD_IMPORTS, --add_import ADD_IMPORTS
    Adds the specified import line to all files, automatically determining correct placement.

-af, --force_adds
    Forces import adds even if the original file is empty.

-r REMOVE_IMPORTS, --remove_import REMOVE_IMPORTS
    Removes the specified import from all files.

-ls, --length_sort
    Sort imports by their string length.

-d, --stdout
    Force resulting output to stdout, instead of in-place.

-c, --check-only
    Checks the file for unsorted imports and prints them to the command line without modifying the file.

-sl, --force_single_line_imports
    Forces all from imports to appear on their own line.

-sd DEFAULT_SECTION, --section-default DEFAULT_SECTION
    Sets the default section for imports (by default, FIRSTPARTY). Possible values: FUTURE, ISTDLIB, THIRDPARTY, FIRSTPARTY, LOCALFOLDER

-df, --diff
    Prints a diff of all the changes isort would make to a file, instead of changing it in place

-e, --balanced
    Balances wrapping to produce the most consistent line length possible.

-rc, --recursive
    Recursively look for Python files of which to sort imports.

-ot, --order-by-type
    Order imports by type in addition to alphabetically.

-ac, --atomic
    Ensures the output doesn't save if the resulting file contains syntax errors.

-cs, --combine-star
    Ensures that if a star import is present, nothing else is imported from that namespace.

-v, --version
    Show program's version number and exit.

-vb, --verbose
    Shows verbose output, such as when files are skipped or when a check is successful.

-sp SETTINGS_PATH, --settings-path SETTINGS_PATH
    Explicitly set the settings path instead of auto determining based on file location.